> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get block transactions

> Get transactions that occurred in a given block.



## OpenAPI

````yaml get /apechain/v1/block/{blockNumber}/transactions
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /apechain/v1/block/{blockNumber}/transactions:
    get:
      tags:
        - Blocks
      summary: Get block transactions
      description: Get transactions that occurred in a given block.
      operationId: getBlockTransactions
      parameters:
        - description: Block number.
          in: path
          name: blockNumber
          required: true
          schema:
            format: int64
            type: integer
        - $ref: '#/components/parameters/cursor'
        - $ref: '#/components/parameters/limit'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsWithCursor'
              examples:
                example1:
                  value:
                    cursor: null
                    transactions:
                      - block_hash: >-
                          0xe497df48d212d65d754ecdea7982f6f80d1d24cfbee08156ac2553587fc3a202
                        block_number: 4868513
                        block_timestamp: '2024-11-21T10:12:40Z'
                        contract_address: ''
                        cumulative_gas_used: '0'
                        effective_gas_price: '25420690000'
                        from_address: '0x00000000000000000000000000000000000a4b05'
                        gas: '0'
                        gas_price: '0'
                        gas_used: '0'
                        input: >-
                          0x6bf6a42d000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000014406e500000000000000000000000000000000000000000000000000000000004a49a10000000000000000000000000000000000000000000000000000000000000001
                        l1_fee: null
                        l1_fee_scalar: null
                        l1_gas_price: null
                        l1_gas_used: null
                        max_fee_per_gas: ''
                        max_priority_fee_per_gas: ''
                        nonce: '0'
                        status: 1
                        to_address: '0x00000000000000000000000000000000000a4b05'
                        transaction_hash: >-
                          0x05d789a2c6c2113aa43e212eec8b7ac7c0bc3e78dc2cee91e858ab3f5f225c7f
                        transaction_index: 0
                        transaction_type: 106
                        value: '0'
                      - block_hash: >-
                          0xe497df48d212d65d754ecdea7982f6f80d1d24cfbee08156ac2553587fc3a202
                        block_number: 4868513
                        block_timestamp: '2024-11-21T10:12:40Z'
                        contract_address: ''
                        cumulative_gas_used: '39129'
                        effective_gas_price: '25420690000'
                        from_address: '0x7a114d38a11b8b4dc2f74555b5b2bb1f5bd742c9'
                        gas: '39504'
                        gas_price: '25420690000'
                        gas_used: '39129'
                        input: >-
                          0x0989e8df000000000000000000000000000000000000000000000000000000000000004000000000000000000000000000000000000000000000000000000000000000a0000000000000000000000000000000000000000000000000000000000000000200420069278ffcb8595272155d54d1cc7816f5e5778e225aabf9e0ad641ac6b20042006992205151fecb4f20fdfdd2dc1a62c8f58ed5286318ac6f923bb98633000000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000082f1d87e29667ffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffef00000000000000000000000000000000000000000000000000000000673f0790000000000000000000000000000000000000000000000000000d669581837703fffffffffffffffffffffffffffffffffffffffffffffffffffffffffffffff000000000000000000000000000000000000000000000000000000000673f0791
                        l1_fee: null
                        l1_fee_scalar: null
                        l1_gas_price: null
                        l1_gas_used: null
                        max_fee_per_gas: '30504828000'
                        max_priority_fee_per_gas: '0'
                        nonce: '218464'
                        status: 1
                        to_address: '0x55e0007700c92c095078000b0000b1000000804e'
                        transaction_hash: >-
                          0xee55b6c0cb29a1251fb40de78e890d390459ce168a6c0fa931ea667bf113255f
                        transaction_index: 1
                        transaction_type: 2
                        value: '0'
          description: OK
components:
  parameters:
    cursor:
      description: The cursor returned in previous response (for getting the next page).
      in: query
      name: cursor
      required: false
      schema:
        type: string
    limit:
      description: Number of records to fetch
      in: query
      name: limit
      required: false
      schema:
        default: 100
        maximum: 100
        minimum: 1
        nullable: true
        type: integer
  schemas:
    TransactionsWithCursor:
      properties:
        cursor:
          nullable: true
          type: string
        transactions:
          items:
            $ref: '#/components/schemas/Transaction'
          type: array
      required:
        - transactions
      type: object
    Transaction:
      properties:
        block_hash:
          type: string
        block_number:
          format: int64
          type: integer
        block_timestamp:
          format: date-time
          type: string
        decoded:
          type: string
        from_address:
          type: string
        gas:
          type: string
        gas_price:
          type: string
        input:
          type: string
        max_fee_per_gas:
          type: string
        max_priority_fee_per_gas:
          type: string
        nonce:
          type: string
        to_address:
          type: string
        transaction_hash:
          type: string
        transaction_index:
          type: integer
        transaction_type:
          type: integer
        value:
          type: string
      required:
        - transaction_hash
        - transaction_index
        - nonce
        - block_hash
        - block_number
        - block_timestamp
        - from_address
        - to_address
        - value
        - gas
        - gas_price
        - max_fee_per_gas
        - max_priority_fee_per_gas
        - input
        - transaction_type
        - decoded
      type: object

````